#  Module.mk - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := extensions
EXTENSIONSCHIPSDIR := $(MODULE_DIR)

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
EXTENSIONSCHIPSTARGETS := $(MODULE_DIR)/mxb_v4l2.o
EXTENSIONSCHIPSTARGETS += $(MODULE_DIR)/dpc_v4l2.o

RPM_MXB_FILES += $(MODDIR)/mxb_v4l2.o
RPM_DPC_FILES += $(MODDIR)/dpc_v4l2.o

# Include all dependency files
INCLUDEFILES += $(EXTENSIONSCHIPSTARGETS:.o=.d)

all-extensions-chips: $(EXTENSIONSCHIPSTARGETS)
all :: all-extensions-chips

install-extensions-chips: all-extensions-chips
	if [ -n "$(EXTENSIONSCHIPSTARGETS)" ] ; then \
	  $(MKDIR) $(DESTDIR)$(MODDIR) ; \
	  $(INSTALL) -o root -g root -m 644 $(EXTENSIONSCHIPSTARGETS) $(DESTDIR)$(MODDIR) ;\
	fi

install :: install-extensions-chips

clean-extensions-chips:
	$(RM) $(EXTENSIONSCHIPSDIR)/*.o $(EXTENSIONSCHIPSDIR)/*.d
clean :: clean-extensions-chips
