#  Module.mk - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := i2c_modules
I2C_MODULESDIR := $(MODULE_DIR)

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
I2C_MODULESTARGETS :=
I2C_MODULESTARGETS += $(MODULE_DIR)/tea6415c.o
I2C_MODULESTARGETS += $(MODULE_DIR)/tea6420.o
I2C_MODULESTARGETS += $(MODULE_DIR)/tda9840.o
I2C_MODULESTARGETS += $(MODULE_DIR)/saa7111a.o
I2C_MODULESTARGETS += $(MODULE_DIR)/saa7114.o
I2C_MODULESTARGETS += $(MODULE_DIR)/fi1216mk2.o

RPM_MXB_FILES += $(MODDIR)/tea6415c.o
RPM_MXB_FILES += $(MODDIR)/tea6420.o
RPM_MXB_FILES += $(MODDIR)/tda9840.o
RPM_MXB_FILES += $(MODDIR)/saa7111a.o
RPM_MXB_FILES += $(MODDIR)/fi1216mk2.o

RPM_DPC_FILES += $(MODDIR)/saa7111a.o


# Include all dependency files
INCLUDEFILES += $(I2C_MODULESTARGETS:.o=.d)

all-i2c_modules: $(I2C_MODULESTARGETS)
all :: all-i2c_modules

install-i2c_modules: all-i2c_modules
	if [ -n "$(I2C_MODULESTARGETS)" ] ; then \
	  $(MKDIR) $(DESTDIR)$(MODDIR) ; \
	  $(INSTALL) -o root -g root -m 644 $(I2C_MODULESTARGETS) $(DESTDIR)$(MODDIR) ;\
	fi
install :: install-i2c_modules 

clean-i2c_modules:
	$(RM) $(I2C_MODULESDIR)/*.o $(I2C_MODULESDIR)/*.d
clean :: clean-i2c_modules
