 /*
    tda9840.h - definitions for the i2c-driver           
                for the tda9840 by SGS Thomson   

    Copyright (C) 1998,1999,2000 Michael Hunold <michael@mihu.de>

    The tda9840 is a stereo/dual sound processor with digital
    identification. It can be found at address 0x84 on the i2c-bus.

    For detailed informations download the specifications directly
    from SGS Thomson at http://www.st.com
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __INCLUDED_TDA9840__
#define __INCLUDED_TDA9840__

#define	I2C_TDA9840		0x42

/* I'm using the currently unused letter 'd' for
   identifying. perhaps this will be changed in the
   future.
   
   (see /usr/src/linux/Documentation/ioctl-number.txt
    for further details.) */

#define TDA9840_DETECT		_IOR('d',1,int)
/* return values for TDA9840_DETCT */
#define TDA9840_MONO_DETECT		0x0
#define	TDA9840_DUAL_DETECT		0x1
#define	TDA9840_STEREO_DETECT		0x2
#define	TDA9840_INCORRECT_DETECT	0x3

#define TDA9840_SWITCH		_IOW('d',2,int)
/* modes than can be set with TDA9840_SWITCH */
#define	TDA9840_SET_MUTE		0x00
#define	TDA9840_SET_MONO		0x10
#define	TDA9840_SET_STEREO		0x2a
#define	TDA9840_SET_LANG1		0x12
#define	TDA9840_SET_LANG2		0x1e
#define	TDA9840_SET_BOTH		0x1a
#define	TDA9840_SET_BOTH_R		0x16
#define	TDA9840_SET_EXTERNAL		0x7a

/* values may range between +2.5 and -2.0;
   the value has to be multiplied with 10 */
#define TDA9840_LEVEL_ADJUST	_IOW('d',3,int)

/* values may range between +2.5 and -2.4;
   the value has to be multiplied with 10 */
#define TDA9840_STEREO_ADJUST	_IOW('d',4,int)

/* currently not implemented */
#define TDA9840_TEST		_IOW('d',5,int)

#endif
