 /*
    tea6420.h - definitions for the i2c-driver
                for the tea6420 by SGS Thomson

    Copyright (C) 1998,1999,2000 Michael Hunold <michael@mihu.de>

    The tea6420 is a bus controlled audio-matrix with 5 stereo inputs,
    4 stereo outputs and gain control for each output.
    It is cascadable, i.e. it can be found at the adresses 0x98
    and 0x9a on the i2c-bus.
    
    For detailed informations download the specifications directly
    from SGS Thomson at http://www.st.com
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __INCLUDED_TEA6420__
#define __INCLUDED_TEA6420__

/* possible addresses */
#define	I2C_TEA6420_1		0x4c
#define	I2C_TEA6420_2		0x4d

struct audio_multiplex
{
	int	in;	/* input of audio switch */
	int	out;	/* output of audio switch  */
	int	gain;	/* gain of connection */
};

#define TEA6420_SWITCH		_IOW('t',1,struct audio_multiplex)

#endif
