#  Module.mk - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := stuff
STUFFDIR := $(MODULE_DIR)

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
STUFFTARGETS :=
#STUFFTARGETS += $(MODULE_DIR)/axpe_v4l2.o
STUFFTARGETS += $(MODULE_DIR)/skel_v4l2.o
STUFFTARGETS += $(MODULE_DIR)/saa5281.o
STUFFTARGETS += $(MODULE_DIR)/i2c-detect.o
STUFFTARGETS += $(MODULE_DIR)/i2c-dummy.o

# Include all dependency files
INCLUDEFILES += $(STUFFTARGETS:.o=.d)

all-stuff: $(STUFFTARGETS)
all :: all-stuff

install-stuff: all-stuff
#	if [ -n "$(STUFFTARGETS)" ] ; then \
#	  $(MKDIR) $(DESTDIR)$(MODDIR) ; \
#	  $(INSTALL) -o root -g root -m 644 $(STUFFTARGETS) $(DESTDIR)$(MODDIR) ;\
#	fi
install :: install-stuff 

clean-stuff:
	$(RM) $(STUFFDIR)/*.o $(STUFFDIR)/*.d
clean :: clean-stuff
