#  Module.mk - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := utils
UTILSDIR := $(MODULE_DIR)

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
UTILSTARGETS += $(MODULE_DIR)/bcs
UTILSTARGETS += $(MODULE_DIR)/overlay
UTILSTARGETS := $(MODULE_DIR)/mxb_tool
UTILSTARGETS += $(MODULE_DIR)/xcaptest_new
UTILSTARGETS += $(MODULE_DIR)/iic_read
UTILSTARGETS += $(MODULE_DIR)/iic_write

UTILSSBININSTALL := $(MODULE_DIR)/mxb_tool
UTILSSBININSTALL += $(MODULE_DIR)/mxb_tool.tcl

RPM_MXB_FILES += $(BINDIR)/mxb_tool
RPM_MXB_FILES += $(BINDIR)/mxb_tool.tcl

# Include all dependency files. We use '.rd' to indicate this will create
# executables.
INCLUDEFILES += $(UTILSSOURCES:.c=.rd)

all-utils: $(UTILSTARGETS)
all :: all-utils

install-utils: all-utils
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -o root -g root -m 755 $(UTILSSBININSTALL) $(DESTDIR)$(BINDIR)
install :: install-utils

clean-utils:
	$(RM) $(UTILSDIR)/*.rd $(UTILSDIR)/*.ro $(UTILSTARGETS)
clean :: clean-utils
