// gcc -I../. overlay.c -o overlay

#include <unistd.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/mman.h>
#include <errno.h>

#include <linux/fs.h>
#include <linux/kernel.h>

#include "videodevX/videodev.h"

int main(int argc, char** argv)
{
	struct v4l2_capability  caps;
	struct v4l2_window	window;
	struct v4l2_framebuffer fb;
	int one = 1;
		
	int vid = open("/dev/video0", O_RDWR);
        if(vid < 0) {
                printf("No such video device\n");
                return -1;
        }

        if( 0 != ioctl(vid, VIDIOC_QUERYCAP, &caps)) {
                printf("VIDIOC_QUERYCAP()\n");
                return -1;
        }
	
        if( 0 != ioctl(vid, VIDIOC_G_FBUF, &fb)) {
                printf("VIDIOC_G_FBUF()\n");
                return -1;
        }

	fb.fmt.pixelformat = V4L2_PIX_FMT_RGB565;
        if( 0 != ioctl(vid, VIDIOC_S_FBUF, &fb)) {
                printf("VIDIOC_S_FBUF()\n");
                return -1;
        }

	memset(&window, 0x0, sizeof(struct v4l2_window));
	window.x = 10;
	window.y = 10;
	window.width = 320;
	window.height = 200;

        if( 0 != ioctl(vid, VIDIOC_S_WIN, &window)) {
                printf("VIDIOC_S_WIN()\n");
                return -1;
        }
	
        if( 0 != ioctl(vid, VIDIOC_PREVIEW, &one)) {
                printf("VIDIOC_PREVIEW()\n");
                return -1;
        }
	
	sleep(5);

	close(vid);
	return 0;	
}


