#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <string.h>

#include <stdio.h>
#include <assert.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <unistd.h>
#include <fcntl.h>

#include <linux/types.h>
#include <linux/i2c.h>

#include "extensions/mxb_v4l2.h"
#include "videodevX/videodev.h"

#define DEVICE "/dev/video0"
char g_device[64];

struct v4l2_format fmt;

int set(int vid, int width, int height)
{
	int err;
	
	fmt.type = V4L2_BUF_TYPE_CAPTURE;
	fmt.fmt.pix.width = width;
	fmt.fmt.pix.height = height;
	fmt.fmt.pix.pixelformat = V4L2_PIX_FMT_BGR32;
	
	err = ioctl(vid, VIDIOC_S_FMT, &fmt);
	if(err) {
   		perror("VIDIOC_S_FMT");
    		return -1;
	}
}

int grab(int vid) 
{
	int err = 0;
	int n = 0;
	
	char *data = malloc(fmt.fmt.pix.sizeimage);
	if (data == NULL)
	{
		fprintf(stderr, "malloc(%d) failed\n", fmt.fmt.pix.sizeimage);
		return 1;
	}

	n = read(vid, data, fmt.fmt.pix.sizeimage);
	if (n < 0)
	{
		fprintf(stderr, "read() returned error\n");
		return 1;
	}
	free(data);
}

int main(int argc, char** argv)
{
	struct v4l2_buffer vidbuf;
	struct v4l2_capability	caps;
	struct v4l2_standard std;

	int vid = 0, err = 0;
	
	int i = 0, errno = 0;
	long n = 0;
		
	strcpy(g_device, DEVICE);

	vid = open(g_device, O_RDONLY);
	if(vid < 0) {
		printf("No such video device %s\n.", g_device);
		return -1;
	}
	ioctl(vid, VIDIOC_QUERYCAP, &caps);
	
	if( 0 != strcmp( caps.name, MXB_IDENTIFIER )) {
		printf("Device \"%s\" is not a %s\n.", g_device, MXB_IDENTIFIER);
		return -1;
	}

	if(caps.type != V4L2_TYPE_CAPTURE) {
		printf("%s is not a capture device.\n", caps.name);
		return -1;
	}
	
	if (!(caps.flags & V4L2_FLAG_READ))
	{
		fprintf(stderr, "Device doesn't support read().\n");
		return 1;
	}
	

#ifdef axa
	/* set standard */
	memset(&std, 0x0, sizeof(std));
	std.colorstandard = V4L2_COLOR_STD_PAL;
	std.colorstandard_data.pal.colorsubcarrier = V4L2_COLOR_SUBC_PAL;
	std.framerate.numerator = 1;
	std.framerate.denominator = 25;
	std.framelines = 625;
	err = ioctl(vid, VIDIOC_S_STD, &std);
	if(0 != err) {
		perror("VIDIOC_S_STD");
		return -1;
	}
#endif

	set(vid,768,576);
	grab(vid);
	set(vid,352,288);
	grab(vid);
	
	close(vid);

	return 0;
}
